Subject: [mile] [Errata Verified] RFC7970 (5543)

From: RFC Errata System <[email-masked]>
Date: Mon, 5 Nov 2018 02:06:25 -0800 (PST)

The following errata report has been verified for RFC7970,
"The Incident Object Description Exchange Format Version 2". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5543

--------------------------------------
Status: Verified
Type: Technical

Reported by: Takeshi Takahashi <[email-masked]>
Date Reported: 2018-11-04
Verified by: Alexey Melnikov (IESG)

Section: 8

Original Text
-------------
    <xs:element name="Confidence">
      <xs:complexType>
        <xs:attribute name="rating"
                      type="confidence-rating-type" use="required"/>
        <xs:attribute name="ext-rating"
                      type="xs:string" use="optional"/>
      </xs:complexType>
    </xs:element>

Corrected Text
--------------
    <xs:element name="Confidence">
      <xs:complexType>
        <xs:simpleContent>
          <xs:extension base="xs:float">
            <xs:attribute name="rating"
                          type="confidence-rating-type" use="required"/>
            <xs:attribute name="ext-rating"
                          type="xs:string" use="optional"/>
          </xs:extension>
        </xs:simpleContent>
      </xs:complexType>
    </xs:element>

Notes
-----
Section 3.12.5 says as follows:
  "The content of the class is of type REAL and specifies a numerical
   assessment in the confidence of the data when the value of the rating
   attribute is "numeric".  Otherwise, this element MUST be empty."

The current schema does not allow the confidence class to have the content (REAL type), thus the correction (note the addition of "<xs:extension base="xs:float">") is proposed.

--------------------------------------
RFC7970 (draft-ietf-mile-rfc5070-bis-26)
--------------------------------------
Title               : The Incident Object Description Exchange Format Version 2
Publication Date    : November 2016
Author(s)           : R. Danyliw
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG